[Research, Review] Assess the future use of OOUI.js Widgets in the Wikidata GUI
Closed, InvalidPublic

Description

The UI infrastructure of Mediawiki moves away from jqueryUI towards the OOUI toolkit.

Task: Assess the future use of OOUI.js Widgets in the Wikidata GUI:

  1. Where would OOUI Widgets need to be extended/customized to serve the needs of Wikidata
  2. How can OOUI Widgets be extended/customized
  3. Rough estimate of what needs to be changed in Wikidata to make aa move to OOUI possible, if wanted.
Restricted Application added a project: Design. · View Herald TranscriptSep 27 2016, 7:24 AM
Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.Sep 27 2016, 9:20 AM
Volker_E moved this task from Incoming to WMDE on the Design board.Jan 5 2017, 5:34 PM
Lydia_Pintscher triaged this task as Normal priority.
Stryn added a subscriber: Stryn.Oct 15 2017, 3:38 PM

Since the team is currently investigating MVVM frameworks like vue (T157014) and react, OOUIjs is currently not in discussion anymore. We might pick up a similar task later, e.g. porting OOUI widgets to an MVVM (e.g. T167145) .

Jan_Dittrich closed this task as Invalid.Tue, Nov 21, 9:52 AM

Closing as invalid, feel free to reopen – though I would suggest to split in more concrete subtasks.